<?php

namespace Planaday\Utility\FormBuilder\InputFields;

/**
 * @template T
 * @extends RadioInput<T>
 */
class SelectionInput extends RadioInput {
	public function getImplJson(): array {
		return [
			"type" => 'selection',
			"options" => $this->options,
			"allowCustom" => $this->allowCustom,
			"customInput" => $this->customInput ?? null
		];
	}
}